Package org.apache.lucene.analysis.miscellaneous

# Class DateRecognizerFilterFactory

java.lang.Object
org.apache.lucene.analysis.AbstractAnalysisFactory
org.apache.lucene.analysis.TokenFilterFactory
org.apache.lucene.analysis.miscellaneous.DateRecognizerFilterFactory

public class DateRecognizerFilterFactory extends TokenFilterFactory
Factory for `DateRecognizerFilter`.

     <fieldType name="text_filter_none_date" class="solr.TextField" positionIncrementGap="100">
       <analyzer>
         <tokenizer class="solr.WhitespaceTokenizerFactory"/>
         <filter class="solr.DateRecognizerFilterFactory" datePattern="yyyy/mm/dd" locale="en-US" />
       </analyzer>
     </fieldType>

The `datePattern` is optional. If omitted, `DateRecognizerFilter` will be created with the default date format of the system. The `locale` is optional and if omitted the filter will be created with `Locale.ENGLISH`.

Since:
  5.5.0
SPI Name (case-insensitive: if the name is 'htmlStrip', 'htmlstrip' can be used when looking up the service).
  "dateRecognizer"

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DATE_PATTERN`
`static final String`
`LOCALE`
`static final String`
`NAME`
SPI name

### Fields inherited from class org.apache.lucene.analysis.AbstractAnalysisFactory

`LUCENE_MATCH_VERSION_PARAM, luceneMatchVersion`

## Constructor Summary

Constructors
Constructor
Description
`DateRecognizerFilterFactory()`
Default ctor for compatibility with SPI
`DateRecognizerFilterFactory(Map<String,String> args)`
Creates a new FingerprintFilterFactory

## Method Summary

Modifier and Type
Method
Description
`TokenStream`
`create(TokenStream input)`
`DateFormat`
`getDataFormat(String datePattern)`

### Methods inherited from class org.apache.lucene.analysis.TokenFilterFactory

`availableTokenFilters, findSPIName, forName, lookupClass, normalize, reloadTokenFilters`

### Methods inherited from class org.apache.lucene.analysis.AbstractAnalysisFactory

`defaultCtorException, get, get, get, get, get, getBoolean, getChar, getClassArg, getFloat, getInt, getLines, getLuceneMatchVersion, getOriginalArgs, getPattern, getSet, getSnowballWordSet, getWordSet, isExplicitLuceneMatchVersion, require, require, require, requireBoolean, requireChar, requireFloat, requireInt, setExplicitLuceneMatchVersion, splitAt, splitFileNames`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### NAME

public static final String NAME
SPI name

See Also:
  - Constant Field Values

### DATE_PATTERN

public static final String DATE_PATTERN

See Also:
  - Constant Field Values

### LOCALE

public static final String LOCALE

See Also:
  - Constant Field Values

## Constructor Details

### DateRecognizerFilterFactory

public DateRecognizerFilterFactory(Map<String,String> args)
Creates a new FingerprintFilterFactory

### DateRecognizerFilterFactory

public DateRecognizerFilterFactory()
Default ctor for compatibility with SPI

## Method Details

### create

public TokenStream create(TokenStream input)

Specified by:
  `create` in class `TokenFilterFactory`

### getDataFormat

public DateFormat getDataFormat(String datePattern)